Debian Bug report logs - #467512
vdr restarts reproducably when viewing some recordings info

version graph

Package: vdr; Maintainer for vdr is Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>; Source for vdr is src:vdr.

Reported by: Sven Mueller <sven@debian.org>

Date: Tue, 26 Feb 2008 02:24:02 UTC

Severity: important

Found in version 1.5.15-1ctvdr2

Fixed in version vdr/1.6.0-1

Done: Thomas Schmidt <tschmidt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#467512; Package vdr. Full text and rfc822 format available.

Acknowledgement sent to Sven Mueller <sven@debian.org>:
New Bug report received and forwarded. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Mueller <sven@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vdr restarts reproducably when viewing some recordings info
Date: Tue, 26 Feb 2008 03:10:06 +0100
[Message part 1 (text/plain, inline)]
Package: vdr
Version: 1.5.15-1ctvdr2
Severity: important

First of all: Feel free to downgrade this bug if you think important is
a too high severity for this bug.

I have a number of recordings which cause vdr to restart (emergency
restart) reproducably  when viewing certain recording info (I mean the
recordings description from EPG). This shappens immediately on some
recordings (a sample info.vdr for such a case will be attached or sent
in later if reportbug won't attach it), while it only happens when
trying to scroll down in this info for others.

This didn't happen with my older vdr version (1.4.7-4ctvdr1). I tried
the multipatch and the extensions version of vdr from e-tobi.net so
far.

If you want me to try that, I could try building an etch backport of
Debian's stock vdr from sid.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.22-4-686
Locale: LANG=de_DE, LC_CTYPE=de_DE (charmap=ISO-8859-1)

Versions of packages vdr depends on:
ii  adduser                3.102             Add and remove users and groups
ii  at                     3.1.10            Delayed job execution and batch pr
ii  libc6                  2.3.6.ds1-13etch5 GNU C Library: Shared libraries
ii  libcap1                1:1.10-14         support for getting/setting POSIX.
ii  libfontconfig1         2.4.2-1.2         generic font configuration library
ii  libfreetype6           2.2.1-5+etch2     FreeType 2 font engine, shared lib
ii  libgcc1                1:4.1.1-21        GCC support library
ii  libjpeg62              6b-13             The Independent JPEG Group's JPEG 
ii  libstdc++6             4.1.1-21          The GNU Standard C++ Library v3
ii  psmisc                 22.3-1            Utilities that use the proc filesy

Versions of packages vdr recommends:
ii  lirc                      0.8.0-14~bpo1  infra-red remote control support
ii  ttf-bitstream-vera        1.10-7         The Bitstream Vera family of free 
ii  ttf-freefont              20060501cvs-10 Freefont Serif, Sans and Mono True

-- no debconf information
[info.vdr.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#467512; Package vdr. Full text and rfc822 format available.

Acknowledgement sent to Tobias Grimm <tobias.grimm@e-tobi.net>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 467512@bugs.debian.org (full text, mbox):

From: Tobias Grimm <tobias.grimm@e-tobi.net>
To: 467512@bugs.debian.org
Cc: Sven Mueller <sven@debian.org>
Subject: Re: Bug#467512: vdr restarts reproducably when viewing some recordings info
Date: Fri, 29 Feb 2008 03:19:50 +0100
[Message part 1 (text/plain, inline)]
Hello,

Sven Mueller wrote:

> I have a number of recordings which cause vdr to restart (emergency

Thanks for reporting this!

I did some debugging and figured out, it's a minor bug in the text rendering,
when the text contains invalid characters (in your case 0x0A - a Latin1
NON-BREAKIN-SPACE)

See also: http://www.linuxtv.org/pipermail/vdr/2008-February/015906.html

I've already fixed this in vdr 1.5.16-1ctvdr1, which went online on e-tobi.net
today.

The next Debian release in experimental will be vdr 1.6.0, coming in the next weeks.

bye,

Tobias


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>:
Bug#467512; Package vdr. Full text and rfc822 format available.

Acknowledgement sent to Thomas Schmidt <tschmidt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 467512@bugs.debian.org (full text, mbox):

From: Thomas Schmidt <tschmidt@debian.org>
To: control@bugs.debian.org
Cc: 352442@bugs.debian.org, 426921@bugs.debian.org, 467512@bugs.debian.org
Subject: setting package to vdr-plugin-sky vdr-plugin-examples vdr-dev vdr vdr-plugin-pictures vdr-dbg ... ... ...
Date: Mon, 24 Mar 2008 19:40:45 +0100
# Automatically generated email from bts, devscripts version 2.10.18.1
#
# vdr (1.6.0-1) experimental; urgency=low
#
#  * New upstream release (closes: #467512)
#  * Added some lines of documentation to README.Debian, explaining that
#    plug-ins manually copied to /usr/lib/vdr/plugins will only be loaded
#    when PLUGIN_CHECK_PATCHLEVEL=no (closes: #426921)
#  * Replaced opt-27_subtitles-ttxtsubs.dpatch with opt-27_ttxtsubs.dpatch -
#    subtitles support now integrated in upstream (closes: #352442)
#

package vdr-plugin-sky vdr-plugin-examples vdr-dev vdr vdr-plugin-pictures vdr-dbg
tags 352442 + pending
tags 467512 + pending
tags 426921 + pending





Tags added: pending Request was from Thomas Schmidt <tschmidt@debian.org> to control@bugs.debian.org. (Mon, 24 Mar 2008 18:42:32 GMT) Full text and rfc822 format available.

Reply sent to Thomas Schmidt <tschmidt@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Mueller <sven@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 467512-close@bugs.debian.org (full text, mbox):

From: Thomas Schmidt <tschmidt@debian.org>
To: 467512-close@bugs.debian.org
Subject: Bug#467512: fixed in vdr 1.6.0-1
Date: Thu, 03 Apr 2008 13:43:19 +0000
Source: vdr
Source-Version: 1.6.0-1

We believe that the bug you reported is fixed in the latest version of
vdr, which is due to be installed in the Debian FTP archive:

vdr-dbg_1.6.0-1_i386.deb
  to pool/main/v/vdr/vdr-dbg_1.6.0-1_i386.deb
vdr-dev_1.6.0-1_all.deb
  to pool/main/v/vdr/vdr-dev_1.6.0-1_all.deb
vdr-plugin-examples_1.6.0-1_i386.deb
  to pool/main/v/vdr/vdr-plugin-examples_1.6.0-1_i386.deb
vdr-plugin-pictures_1.6.0-1_i386.deb
  to pool/main/v/vdr/vdr-plugin-pictures_1.6.0-1_i386.deb
vdr-plugin-sky_1.6.0-1_i386.deb
  to pool/main/v/vdr/vdr-plugin-sky_1.6.0-1_i386.deb
vdr_1.6.0-1.diff.gz
  to pool/main/v/vdr/vdr_1.6.0-1.diff.gz
vdr_1.6.0-1.dsc
  to pool/main/v/vdr/vdr_1.6.0-1.dsc
vdr_1.6.0-1_i386.deb
  to pool/main/v/vdr/vdr_1.6.0-1_i386.deb
vdr_1.6.0.orig.tar.gz
  to pool/main/v/vdr/vdr_1.6.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467512@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Schmidt <tschmidt@debian.org> (supplier of updated vdr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 24 Mar 2008 18:58:22 +0100
Source: vdr
Binary: vdr vdr-dev vdr-dbg vdr-plugin-sky vdr-plugin-examples vdr-plugin-pictures
Architecture: source all i386
Version: 1.6.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Changed-By: Thomas Schmidt <tschmidt@debian.org>
Description: 
 vdr        - Video Disk Recorder for DVB cards
 vdr-dbg    - Debuggable version of the VDR Video Disk Recorder
 vdr-dev    - Video Disk Recorder for DVB cards
 vdr-plugin-examples - Plugins for vdr to show some possible features
 vdr-plugin-pictures - Plugin for vdr providing a very basic picture viewer
 vdr-plugin-sky - Plugin for using a Sky Digibox with vdr
Closes: 352442 426921 467512
Changes: 
 vdr (1.6.0-1) experimental; urgency=low
 .
   [ Tobias Grimm]
   * New upstream release (closes: #467512)
   * Updated 03_cmdsubmenu.dpatch
   * Updated 09_sort_options.dpatch
   * Upgraded opt-20_liemikuutio.dpatch to version 1.19
   * Updated opt-31-x_reelchannelscan
   * Updated opt-37-x_menuorg.dpatch
   * Updated opt-38_disableDoubleEpgEntrys.dpatch, to avoid sprintf buffer
     overflows
   * Updated opt-41-x_timer-info.dpatch
   * Updated opt-43-x_recordshowfree.dpatch
   * Updated opt-47_sourcecaps
   * Updated opt-48-x_pin.dpatch
   * Applied modification from Michaël Nival to opt-45_yaepg.dpatch that fixes a
     small bug
   * Removed opt-36_CutterQueue.dpatch
   * Removed opt-36_CutterQueue-AutoDelete.dpatch
   * Removed opt-46_dmh-dvd-archive.dpatch
   * Removed opt-46_dvdarchive.dpatch
   * Removed opt-46-x_dmh-dvd-archive-debian.dpatch
   * Removed opt-49_sharelnb.dpatch
   * Adapted 15_dvbplayer.dpatch
   * Added 01_pic2mpg-debian.dpatch
   * Added 99_ncursesw-include.dpatch
   * Added opt-49-x_pvrinput.dpatch
   * Added opt_40-iptv.dpatch
   * Added latest version of pin patch opt-48_pin-0.1.7.dpatch
   * Added installation of the pictures plug-in
   * Line-wrapped dependencies in debian/control
   * COMPAT=5, debhelper (>= 5)
   * Made debianize-vdrplugin create cdbs based plugin packages
   * Using empty directory /usr/lib/vdr/plugins again and adding lintian
     override for "package-contains-empty-directory" warning - VDR
     requires the plugin directory!
   * Added short description to the NAME section of the manpages to fix the
     Lintian manpage-has-bad-whatis-entry warning
   * Removed upgrade code for VDR 1.2.6 from postinst
   * Added some lines of documentation to README.Debian, explaining that
     plug-ins manually copied to /usr/lib/vdr/plugins will only be loaded
     when PLUGIN_CHECK_PATCHLEVEL=no (closes: #426921)
   * Added manpages for vdr-dbg, debugvdr, vdrleaktest, vdrdbg-buildpackage
     and pic2mpg
   * Added support for VDR_CHARSET_OVERRIDE=<CHARSET> in /etc/default/vdr
   * Made vdrleaktest and debugvdr explicitly using bash, because
     commands-loader.sh and plugin-loader.sh contain bashisms
   * Instead of setting VFAT=1 at compile time, introduced a new
     configuration option in /etc/defautl/vdr (using VDR's
     --vfat option), so that the VFAT support can be disabled
 .
   [ Thomas Günther ]
   * Adapted 04_newplugin.dpatch
   * Adapted 10_dd-record-option.dpatch
   * Adapted opt-24_jumpplay.dpatch
   * Adapted opt-28_audioindexer.dpatch
   * Updated opt-39_noepg.dpatch
   * Updated opt-44_rotor.dpatch
   * Adapted opt-45_yaepg.dpatch
   * Adapted opt-50_graphtft.dpatch
   * Adapted opt-50_graphtft-0.1.dpatch
   * Adapted opt-51_cuttime.dpatch
   * Removed 02_Makefile-CFGDIR.dpatch
   * Removed 17_epg-conv-iso6937.dpatch
   * Removed opt-27-x_subtitles-ttxtsubs-volumebar-fix.dpatch (now
     integrated in opt-27_subtitles-ttxtsubs.dpatch)
   * Removed opt-40_wareagle-icons.dpatch
   * Added opt-29_syncearly.dpatch and opt-29_syncearly-audioindexer.dpatch
   * Added opt-48_pin-submenu.dpatch
   * Added opt-50_graphtft-0.1.dpatch
   * Replaced opt-27_subtitles-ttxtsubs.dpatch with opt-27_ttxtsubs.dpatch -
     subtitles support now integrated in upstream (closes: #352442)
   * Added gettext to Build-Depends
   * Added libfreetype6-dev and libfontconfig-dev to Build-Depends
   * Replaced libncurses5-dev with libncursesw5-dev in Build-Depends
   * Added ttf-bitstream-vera | ttf-freefont to vdr Recommends
   * Added URL for developer version to debian/watch
   * Upgraded make-special-vdr.sh to version 0.7
 .
   [ Thomas Schmidt ]
   * Added vdr-dbg-package + scripts vdrleaktest, debugvdr and
     vdrdbg-buildpackage from Tobias repository
   * Updated debian/copyright
   * Changed config-loader.sh to get default $LANG from /etc/environment
   * Updated years in debian/copyright
Files: 
 57c82412b534dab235d2e77e11322b2d 1042 misc extra vdr_1.6.0-1.dsc
 c8976e0513f61a4fe65e2f1fde8ff77d 766315 misc extra vdr_1.6.0.orig.tar.gz
 8d185ade3744150072d1c45e67b0e767 139967 misc extra vdr_1.6.0-1.diff.gz
 1f8da56284430dbe7ebace28248e0008 294504 misc extra vdr-dev_1.6.0-1_all.deb
 18a40837706a4d1ea017817616e33713 832612 misc extra vdr_1.6.0-1_i386.deb
 a1420c547a2bc050e9165149a21cc4cd 1228988 misc extra vdr-dbg_1.6.0-1_i386.deb
 d6570d8b9549f2d7621d76011c231ea0 30988 misc extra vdr-plugin-sky_1.6.0-1_i386.deb
 45eec5d9d99d75aa217892501debd83a 35632 misc extra vdr-plugin-examples_1.6.0-1_i386.deb
 a778ec2c1b83e838c1f6ba4af35fe6cf 38386 misc extra vdr-plugin-pictures_1.6.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH5+34c9+NqwoydlIRAuyyAJ47cYMm+ufkMXQ/yN7zu9R9T86c7wCgyC7X
zO/o3xTcYMhN7iGP18583Os=
=KBI6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 May 2008 07:28:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:00:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.